Name:           jettison
Version:        1.3.7
Release:        %mkrel 3
Summary:        A JSON StAX implementation
License:        ASL 2.0
URL:            http://jettison.codehaus.org/
BuildArch:      noarch
Group:          Development/Java
Source0:        https://github.com/codehaus/jettison/archive/%{name}-%{version}.tar.gz

# Change the POM to use the version of woodstox that we have available:
Patch0: %{name}-update-woodstox-version.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.codehaus:codehaus-parent:pom:)
BuildRequires:  mvn(org.codehaus.woodstox:woodstox-core-asl)
BuildRequires:  mvn(stax:stax-api)

%description
Jettison is a collection of Java APIs (like STaX and DOM) which read
and write JSON. This allows nearly transparent enablement of JSON based
web services in services frameworks like CXF or XML serialization
frameworks like XStream.

%package javadoc
Summary:           Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0 -p1
# We don't need wagon-webdav
%pom_xpath_remove pom:build/pom:extensions

# Confuses maven-bundle-plugin
%pom_xpath_remove pom:Private-Package

%build
# Disable the tests until BZ#796739 is fixed:
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc src/main/resources/META-INF/LICENSE

%files javadoc -f .mfiles-javadoc
%doc src/main/resources/META-INF/LICENSE




%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.3.7-3.mga6
+ Revision: 976544
- First rebuild of the java stack
- sync package jettison with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Jan 23 2015 daviddavid <daviddavid> 1.3.4-1.mga5
+ Revision: 812034
- Sync with fc21 (update to 1.3.4)

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-6.mga5
+ Revision: 749652
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.3.3-4.mga4
+ Revision: 559879
- Fix BuildRequires

* Tue Oct 22 2013 umeabot <umeabot> 1.3.3-3.mga4
+ Revision: 542008
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 1.3.3-2.mga4
+ Revision: 496666
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 355333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 pterjan <pterjan> 1.3.2-1.mga3
+ Revision: 334396
- Build against woodstox-core

* Thu Jan 26 2012 gil <gil> 1.3.1-1.mga3
+ Revision: 202018
- update to 1.3.1

* Sat Dec 03 2011 gil <gil> 1.3-1.mga2
+ Revision: 175619
- update to 1.3

* Sat Dec 03 2011 gil <gil> 1.2-5.mga2
+ Revision: 175594
- added OSGi support
  generated ant build scripts

* Thu Dec 01 2011 gil <gil> 1.2-4.mga2
+ Revision: 175026
- add maven support

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2-3.mga1
+ Revision: 92540
- Rebuild after bootstrapping
- imported package jettison


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 25 2010 Sandro Mathys <red at fedoraproject.org> - 1.2-1
- update to upstream 1.2

* Sun Jun 28 2009 Sandro Mathys <red at fedoraproject.org> - 1.1-1
- initial build
